Truva Linux

Truva Linux => Hata Takibi => Konuyu başlatan: hakan202020 - 08 Nisan 2008, 12:51:40 ös

Başlık: gparted hatalı
Gönderen: hakan202020 - 08 Nisan 2008, 12:51:40 ös
root@hakan:/home/hakan# gparted
gparted: error while loading shared libraries: libgtkmm-2.4.so.1: cannot open shared object file: No such file or directory
bu hatayı alıyorum ve gparted açılmıyor
Başlık: Ynt: gparted hatalı
Gönderen: atlantis - 08 Nisan 2008, 01:02:30 ös
Henüz bağımlılık kontrolü tam sağlanamadığı için bu tür hata mesajları alırsanız iletin.

Gtkmm paketi kurulmamış onu istiyor. Bir kaç bağımlılığı daha var. Hata mesajı aldıkça onları da belirlemiş oluruz.

Tespit edilen bağımlılıklar :
Gtkmm
Cairomm
Başlık: Ynt: gparted hatalı
Gönderen: hakan202020 - 11 Nisan 2008, 09:10:13 ös
Dediklerini yaptım ama bu seferde hata vermiyor ama gparted açılmıyor
Başlık: Ynt: gparted hatalı
Gönderen: hakan202020 - 16 Mayıs 2008, 07:33:04 ös
gparted: error while loading shared libraries: libgtkmm-2.4.so.1: cannot open shared object file: No such file or directory

bu hatayı tekrar alıyorum açılmıyor gparted
Başlık: Ynt: gparted hatalı
Gönderen: atlantis - 17 Mayıs 2008, 01:19:19 ös
2 messaj önce gerekli paket bağımlılıkları neler onları yazmıştım yaptığınız halde çalışmıyorsa o zaman paket güncellemeleri yapacağız ve bakacağız.
Başlık: Ynt: gparted hatalı
Gönderen: hakan202020 - 20 Mayıs 2008, 07:43:36 öö
aynı hata alınıyor
Başlık: Ynt: gparted hatalı
Gönderen: atlantis - 23 Mayıs 2008, 10:55:10 öö
Gparted'ın bağımlı olduğu tüm paketler;

atk >= 1.18.0-i486-1
cairo >= 1.4.12-i486-1_slack12.0
cairomm >= 1.4.8-i686-1as
cxxlibs >= 6.0.8-i486-4 | gcc-g++ >= 4.1.2-i486-1
e2fsprogs >= 1.39-i486-1
expat >= 2.0.1-i486-1
fontconfig >= 2.4.2-i486-2
freetype >= 2.3.4-i486-3
gcc >= 4.1.2-i486-1
glib2 >= 2.12.12-i486-1
glibc-solibs >= 2.5-i486-4
glibmm >= 2.12.10-i686-4as
gtk+2 >= 2.10.13-i486-1
gtkmm >= 2.10.11-i686-1as
libX11 >= 1.1.1-i486-4
libXau >= 1.0.3-i486-1
libXcursor >= 1.1.8-i486-1
libXdmcp >= 1.0.2-i486-1
libXext >= 1.0.3-i486-1
libXfixes >= 4.0.3-i486-1
libXi >= 1.0.4-i486-1
libXinerama >= 1.0.2-i486-1
libXrandr >= 1.2.1-i486-1
libXrender >= 0.9.2-i486-1
libpng >= 1.2.27-i486-1_slack12.0
libsigc++ >= 2.0.18-i686-1as
libxcb >= 1.0-i486-2
pango >= 1.16.4-i486-1
parted >= 1.8.8-i486-1ms
zlib >= 1.2.3-i486-2


Bu paketlerin tümünü sürümleri ile beraber kontrol edin. Aslında listede gördüğünüz paketlerin çoğu zaten kurulu ama yanlışlıkla kaldırılmış ya da bozulmuş olabilir.
Başlık: Ynt: gparted hatalı
Gönderen: hakan202020 - 27 Temmuz 2009, 07:17:48 ös
gparted  hata veriyor ve açılmıyor 

gparted: error while loading shared libraries: libparted-1.8.so.7: cannot open shared object file: No such file or directory
 ne yapılabilir
Başlık: Ynt: gparted hatalı
Gönderen: atlantis - 28 Temmuz 2009, 01:31:08 ös
Parted paketini kurmanız gerekiyor. Depoda mevcut.
Başlık: Ynt: gparted hatalı
Gönderen: hakan202020 - 01 Ağustos 2009, 08:43:13 öö
dediğinizi yaptım ama olmadı açılmıyor ve bu hatayı veriyor:
gparted: error while loading shared libraries: libparted-1.8.so.7: cannot open shared object file: No such file or directory
Başlık: Ynt: gparted hatalı ( Çözüldü)
Gönderen: caylakpenguen - 04 Ağustos 2009, 09:19:26 öö
Merhaba Gereken Testleri yaptım.Bendede aynı library hatasını verdi  ;D
Kod: [Seç]
root@angelina:~# ldd /usr/bin/gparted
        linux-gate.so.1 =>  (0xffffe000)
        libparted-1.8.so.7 => not found
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb8091000)
        libgtkmm-2.4.so.1 => /usr/lib/libgtkmm-2.4.so.1 (0xb7d94000)
        libgdkmm-2.4.so.1 => /usr/lib/libgdkmm-2.4.so.1 (0xb7d51000)
        libatkmm-1.6.so.1 => /usr/lib/libatkmm-1.6.so.1 (0xb7d11000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb79aa000)
        libpangomm-1.4.so.1 => /usr/lib/libpangomm-1.4.so.1 (0xb7981000)
        libcairomm-1.0.so.1 => /usr/lib/libcairomm-1.0.so.1 (0xb7969000)
        libglibmm-2.4.so.1 => /usr/lib/libglibmm-2.4.so.1 (0xb791f000)
        libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7919000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb7897000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb787d000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7866000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb785d000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb7821000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb77c1000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb7786000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb7783000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb76b7000)
        libdl.so.2 => /lib/libdl.so.2 (0xb76b3000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb76af000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb75c9000)
        libm.so.6 => /lib/libm.so.6 (0xb75a2000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb7597000)
        libc.so.6 => /lib/libc.so.6 (0xb744b000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7434000)
        librt.so.1 => /lib/librt.so.1 (0xb742b000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb7343000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb7340000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb733d000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb7338000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb730f000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb7300000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb72f8000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb72f5000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb72ed000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb72e7000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb72de000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb72b6000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7246000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb7232000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb71f7000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb71c2000)
        /lib/ld-linux.so.2 (0xb80a9000)
        libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb71bf000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb71a8000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb7188000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb7185000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb717f000)
root@angelina:~#  
Dikkat etmemiz gereken satır
Kod: [Seç]
libparted-1.8.so.7 => not found
Gereken Library parted ile geliyor.
kontrol edelim hemen
Kod: [Seç]
root@angelina:~# ls /usr/lib/libparted*
/usr/lib/libparted-1.8.so.8@      /usr/lib/libparted.a    /usr/lib/libparted.so@
/usr/lib/libparted-1.8.so.8.0.0*  /usr/lib/libparted.la*
Görüldüğü üzere parted libleri var ama bize lasım olan  libparted-1.8.so.7@ yerine libparted-1.8.so.8@ varmış
gerekli linki olusturuyoruz.
Kod: [Seç]
ln -sf /usr/lib/libparted-1.8.so.8.0.0 /usr/lib/libparted-1.8.so.7

ve sonuç
Kod: [Seç]
root@angelina:~# ldd /usr/bin/gparted
        linux-gate.so.1 =>  (0xffffe000)
        libparted-1.8.so.7 => /usr/lib/libparted-1.8.so.7 (0xb7f77000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb7f73000)
        libgtkmm-2.4.so.1 => /usr/lib/libgtkmm-2.4.so.1 (0xb7c76000)
        libgdkmm-2.4.so.1 => /usr/lib/libgdkmm-2.4.so.1 (0xb7c33000)
        libatkmm-1.6.so.1 => /usr/lib/libatkmm-1.6.so.1 (0xb7bf3000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb788d000)
        libpangomm-1.4.so.1 => /usr/lib/libpangomm-1.4.so.1 (0xb7863000)
        libcairomm-1.0.so.1 => /usr/lib/libcairomm-1.0.so.1 (0xb784b000)
        libglibmm-2.4.so.1 => /usr/lib/libglibmm-2.4.so.1 (0xb7801000)
        libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb77fb000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb7779000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb775f000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7748000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb773f000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb7703000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb76a3000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb7669000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb7665000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb7599000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7595000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb7591000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb74ab000)
        libm.so.6 => /lib/libm.so.6 (0xb7485000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb7479000)
        libc.so.6 => /lib/libc.so.6 (0xb732d000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7316000)
        librt.so.1 => /lib/librt.so.1 (0xb730d000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb7226000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb7222000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb721f000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb721a000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb71f1000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb71e3000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb71da000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb71d7000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb71cf000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb71c9000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb71c0000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb7198000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7128000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb7114000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb70d9000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb70a4000)
        /lib/ld-linux.so.2 (0xb7feb000)
        libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb70a1000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb708a000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb706a000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb7067000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb7062000)
root@angelina:~#

(http://img91.imageshack.us/img91/263/gparted.png)
Başlık: Ynt: gparted hatalı ( Çözüldü)
Gönderen: caylakpenguen - 04 Ağustos 2009, 10:07:40 öö
Hakan Hocam,

Gerekli linki oluşturup test edip bilgi verirseniz.
Bizlerde Bilgileniriz.
Sonuçta amaç Bildiklerimizi Paylaşmak, Bilgiyi Çoğaltmak.